## com.thaiopensource.validate.auto
Interface SchemaFuture

    public interface SchemaFuture

Method Summary
`Schema` `getSchema()`
`RuntimeException` `unwrapException(RuntimeException e)`

Method Detail

### getSchema

    Schema getSchema()
                     throws IncorrectSchemaException,
                            SAXException,
                            IOException

  Throws:
    `IncorrectSchemaException`
    `SAXException`
    `IOException`

### unwrapException

    RuntimeException unwrapException(RuntimeException e)
                                     throws SAXException,
                                            IOException,
                                            IncorrectSchemaException

  Throws:
    `SAXException`
    `IOException`
    `IncorrectSchemaException`